type RecordingStates = 'idle' | 'recording' | 'paused' | 'stopped';
interface Recorder {
    audioLevel: number;
    startRecording: () => void;
    pauseRecording?: () => void;
    resumeRecording?: () => void;
    stopRecording: () => void;
    resetRecording?: () => void;
    timeElapsed: number;
    recordingState: RecordingStates;
    isRecording: boolean;
    audioURL?: string;
    audioFile?: File | null;
    audioBlob?: Blob | null;
}
export declare function stopTracks(mediaStream: MediaStream): void;
declare const useRecorder: () => Recorder;
export default useRecorder;
